Bria Product Dimensions
انٹیگریٹ کریں
bria/product-dimensions
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/product-dimensions?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/product-dimensions?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22,
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7,
},
],
"style": "default",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/product-dimensions", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ur/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/product-dimensions",
"input": {
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
}
}
Doitong API کے ذریعے Bria Product Dimensions ماڈل (bria/product-dimensions) کو کال کریں۔ ایجنٹس کے لیے دستاویزات: https://doitong.com/ur/developers/models/bria/product-dimensions.md
POST https://api.doitong.ru/v1/run/bria/product-dimensions?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
}
اگر جواب کی اسٹیٹس "queued" یا "running" ہو تو GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 کو اس وقت تک پول کریں جب تک یہ "succeeded" نہ ہو جائے؛ فائلیں outputs[].url میں ہیں۔ رن سے پہلے درست قیمت حاصل کرنے کے لیے اسی باڈی کے ساتھ POST https://api.doitong.ru/v1/quote/bria/product-dimensions کریں۔
یہ درخواست: $0.04 40 API کریڈٹس · ≈ ₽4.22 اس صفحے پر چلائیں
آپ کی نئی API کلید۔ یہ صرف ابھی دکھائی جاتی ہے اور پہلے ہی نیچے موجود کوڈ اور API کلید کے فیلڈ میں شامل ہے۔ اسے خفیہ رکھیں: اسے کبھی بھی ایسے کوڈ میں شامل نہ کریں جو براؤزر میں چلتا ہو۔
آپ کا پہلا نتیجہ یہاں آئے گا
ذیل میں درخواست بنائیں اور اپنی API کلید کے ساتھ چلائیں۔ آؤٹ پٹس ہمارے اسٹوریج میں کاپی ہو جاتے ہیں، ہمیشہ کے لیے یا مفت میں 7 دن تک محفوظ رہتے ہیں۔
درخواست بنائیں
کنٹرولز ماڈل اسکیما سے تیار ہوتے ہیں۔ آپ کے بدلنے کے ساتھ کوڈ اور قیمت اپ ڈیٹ ہوتے ہیں۔
/run/bria/product-dimensions?wait=20
قیمت → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/product-dimensions?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/product-dimensions?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22,
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7,
},
],
"style": "default",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/product-dimensions", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/product-dimensions",
"input": {
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
},
"wait_seconds": 20
}
}
}
یہ درخواست چلائیں
آپ کی key اسی براؤزر میں رہتی ہے: یہ صرف Doitong API کو بھیجی جاتی ہے اور صرف اس صورت میں localStorage میں محفوظ ہوتی ہے جب آپ Remember منتخب کریں۔ API کلید حاصل کریں
Bria Product Dimensions کے بارے میں
یہ ایک پروڈکٹ `image` اور `dimensions` میں کم از کم ایک انٹری لیتا ہے، پھر پروڈکٹ کے گرد لیبل والی پیمائشی لائنیں کھینچتا ہے۔ ایک `style` (ڈیفالٹ، childlike یا elegant)، 80 حروف تک کا ایک `title` ، پس منظر کا رنگ، اور 256 سے 2200 پکسلز تک کا ایک مربع `output_size` منتخب کریں۔ آؤٹ پٹ png، jpeg، یا شفاف اوورلے کے ساتھ ایک ڈوئل کمپوزٹ ہو سکتا ہے۔
پیرامیٹرز
title_positionاختیاری
proportional_linesاختیاری
syncاختیاری
imageلازمی
dimensionsلازمی
dimensions[].nameلازمی
dimensions[].valueلازمی
dimensions[].unitلازمی
dimensions[].positionاختیاری
styleلازمی
titleاختیاری
output_sizeاختیاری
output_formatاختیاری
backgroundاختیاری
units_displayاختیاری
weightاختیاری
weight.valueلازمی
weight.unitلازمی
weight.labelاختیاری
capacityاختیاری
capacity.valueلازمی
capacity.unitلازمی
آؤٹ پٹ
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/product-dimensions",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"transparent_overlay": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
آؤٹ پٹ کے فیلڈز
- image
- object {url, content_type, file_name, file_size, width, height}پروڈکٹ کی پیمائشیں دکھانے والی رینڈر کردہ تصویر۔
- transparent_overlay
- object {url, content_type, file_name, file_size, width, height} | nullشفاف اوورلے، صرف اس وقت شامل ہوتا ہے جب output_format کو dual پر سیٹ کیا جائے۔
دیگر Bria ورژنز
مزید ماڈلز: تصویر میں ترمیم
AI ایجنٹس کے لیے: یہ صفحہ Markdown میں یہاں موجود ہے https://doitong.com/ur/developers/models/bria/product-dimensions.md. تمام ماڈلز اور گائیڈز: https://doitong.com/developers/llms.txt






